/*
 * (C) Copyright 2011- ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.
 */

#ifndef libemos_ecbuild_config_h
#define libemos_ecbuild_config_h

/* ecbuild info */

#ifndef ECBUILD_VERSION_STR
#define ECBUILD_VERSION_STR "2.9.4"
#endif
#ifndef ECBUILD_MACROS_DIR
#define ECBUILD_MACROS_DIR  "/workspace/srcdir/libemos-4.5.9-Source/cmake"
#endif

/* config info */

#define LIBEMOS_OS_NAME          "Linux-5.4.0-91-generic
"
#define LIBEMOS_OS_BITS          32
#define LIBEMOS_OS_BITS_STR      "32"
#define LIBEMOS_OS_STR           "linux.32"
#define LIBEMOS_OS_VERSION       "5.4.0-91-generic
"
#define LIBEMOS_SYS_PROCESSOR    "i686"

#define LIBEMOS_BUILD_TIMESTAMP  "20220310012433"
#define LIBEMOS_BUILD_TYPE       "Release"

#define LIBEMOS_C_COMPILER_ID      "GNU"
#define LIBEMOS_C_COMPILER_VERSION "4.8.5"

#define LIBEMOS_CXX_COMPILER_ID      "GNU"
#define LIBEMOS_CXX_COMPILER_VERSION "4.8.5"

#define LIBEMOS_C_COMPILER       "/opt/bin/i686-linux-gnu-libgfortran3-cxx03/i686-linux-gnu-gcc"
#define LIBEMOS_C_FLAGS          " -pipe -O3 -DNDEBUG"

#define LIBEMOS_CXX_COMPILER     "/opt/bin/i686-linux-gnu-libgfortran3-cxx03/i686-linux-gnu-g++"
#define LIBEMOS_CXX_FLAGS        " -pipe -O3 -DNDEBUG"

/* Needed for finding per package config files */

#define LIBEMOS_INSTALL_DIR       "/workspace/destdir"
#define LIBEMOS_INSTALL_BIN_DIR   "/workspace/destdir/bin"
#define LIBEMOS_INSTALL_LIB_DIR   "/workspace/destdir/lib"
#define LIBEMOS_INSTALL_DATA_DIR  "/workspace/destdir/share/libemos"

#define LIBEMOS_DEVELOPER_SRC_DIR "/workspace/srcdir/libemos-4.5.9-Source"
#define LIBEMOS_DEVELOPER_BIN_DIR "/workspace/srcdir/libemos-4.5.9-Source/build"

#define EC_HAVE_FORTRAN

#ifdef EC_HAVE_FORTRAN

#define LIBEMOS_Fortran_COMPILER_ID      "GNU"
#define LIBEMOS_Fortran_COMPILER_VERSION "4.8.5"

#define LIBEMOS_Fortran_COMPILER "/opt/bin/i686-linux-gnu-libgfortran3-cxx03/i686-linux-gnu-gfortran"
#define LIBEMOS_Fortran_FLAGS    " -ffixed-line-length-none -fcray-pointer -fno-second-underscore -Wuninitialized -Wunused-variable -DSHAREDMEMORY -O3 -DNDEBUG -funroll-all-loops -finline-functions -O2 "

#endif

/* #undef BOOST_UNIT_TEST_FRAMEWORK_HEADER_ONLY */
/* #undef BOOST_UNIT_TEST_FRAMEWORK_LINKED */

#endif /* libemos_ecbuild_config_h */
